Subject: Re: [PATCH net-next] net/ipv6: Do not allow route add with a device that is down

From: Ido Schimmel <[email-masked]>
Date: Wed, 24 Jan 2018 14:48:29 +0200

On Tue, Jan 23, 2018 at 07:13:43PM -0800, David Ahern wrote:
> IPv6 allows routes to be installed when the device is not up (admin up).
> Worse, it does not mark it as LINKDOWN. IPv4 does not allow it and really
> there is no reason for IPv6 to allow it, so check the flags and deny if
> device is admin down.
> 
> Signed-off-by: David Ahern <[email-masked]>

I figured people might complain if I change that, but I obviously prefer
to have it like IPv4. Agree with Roopa about the error code.

Thanks